#!/bin/bash
# $Id: xgdiff.sh,v 1.1 2002/01/16 12:00:21 oliver Exp $

USAGE="usage: $(basename $0) number_of_slabs
Calculate diffusion coefficients for a range of t_min values from
a box of SPC water, using g_diff."

sl=$1
tmin=$2
RES=diff_${sl}.dat

echo "input: sl=${sl} tau=${tau}"

: ${tau:=10}

test -z "$1" && { echo $USAGE; exit 1; }


for tau in 5 8 10 13 15 20 30; do 

  CMD="g_diff -f water_bulk_md.xtc -n ow.ndx  -sl ${sl} -b 20 -t ${tau}"

  echo ">>> ${CMD}";
  ${CMD}

  echo "# sl=${sl} tau=${tau}" >> ${RES}

  sed '1,/@TYPE/d' diffusion.xvg >> ${RES}

  rm diffusion.xvg

done