#!/bin/bash
# $Id: xmsd.sh,v 1.1 2002/01/16 12:00:21 oliver Exp $

USAGE="usage: xmsd.sh number_of_slabs [t_min=25]
Calculate the diffsuion coefficient of a box of SPC water for
N_SL slices and  a minimum residency time of a molecule in a
slice of t_min, using g_water_diffusion."

sl=$1
tmin=$2
ndiff=100000

echo "input: sl=${sl} tmin=${tmin}"

: ${t_min:=25}

test -z "$1" && { echo $USAGE; exit 1; }

CMD="g_water_diffusion -s water_md.tpr -f water_bulk_md.xtc -debug -ndiff ${ndiff} -tmin ${tmin} -sl ${sl}"

echo ">>> ${CMD}";
${CMD}

echo "# t_min=$tmin"
echo "# * sl=$1"

echo "# XYZ"
sed '1,/@TYPE/d' diff_coef_xyz.xvg

echo
echo "# XY"
sed '1,/@TYPE/d' diff_coef_xy.xvg

echo
echo "# Z"
sed '1,/@TYPE/d' diff_coef_z.xvg