/* $Id: utilgmx.h,v 1.1 2002/01/14 11:17:33 oliver Exp $
   $Log: utilgmx.h,v $
   Revision 1.1  2002/01/14 11:17:33  oliver
   Utility routines (debugging, quicksort,...)

   Revision 1.3  2001/02/19 14:31:52  oliver
   added "tpxio.h" for dt_tpx()

   Revision 1.2  2001/02/19 14:26:40  oliver
   moved dt_tpx to utilgmx

   Revision 1.1  2001/02/18 16:38:24  oliver
   Initial revision

*/

#ifndef _utilgmx_h
#define _utilgmx_h

static char *SRCID_utilgmx_h = "$Id: utilgmx.h,v 1.1 2002/01/14 11:17:33 oliver Exp $";

#include <stdarg.h>
#include "typedefs.h"
#include "vec.h"
#include "tpxio.h"

#define PI 3.14159265358979323844
#define AMU 1.66054e-27                 /* 1u = AMU kg */
#define AvogadroConstant 6.02214e+23    /* mol^-1 */

#define aswap(v,i,j) {  \
  atom_id temp;         \
                        \
  temp=v[i];            \
  v[i]=v[j];            \
  v[j]=temp;            \
}

extern void msg     (const char *format, ...);
extern void dmsg    (const char *format, ...);
extern void dprintf (const char *format, ...);
extern void dfprintf (const char *format, ...);
extern void quicksort (atom_id v[], int left, int right);
extern real ldist (rvec x, rvec p, rvec c);
extern real dt_tpx (char *fn);

static gmx_inline void new_rvec (rvec r, real x, real y, real z)
{
  r[XX] = x;
  r[YY] = y;
  r[ZZ] = z;
};


#endif /* _utilgmx_h */
